
@import "~sass/media";
@import '~sass/variables';
.mat-form-field{
  display: block;
  }
  .image-header{
    color: #7b7b7b;
    font-weight: 400;
  }

.common-profile-header {
   border-bottom: 1px solid $quaternary;
   font-weight: 500;
   color: $font-silver;
}
.whistlist-header{
    padding-top: 1%;
    padding-left: 1%;
}
.wrapTableTech{
    font-size: 14px;
    overflow: hidden;
    width: 100%;
   }
.whistlist-image{
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    object-fit: contain;
img{
    position: relative;
    width: 60px;
    margin-left: 80px;
}
}
.stock-avalability{
    background-color: green;
    border-radius: 13px;
    color: white;
    text-align: center;
    padding: 5px;
}
.stock-non-avalability{
    background-color: orange;
    border-radius: 13px;
    color: white;
    text-align: center;
}
.whislist-product-price{
    font-size: 14px;
    font-weight: 500;
}
.whislist-product-price span{
    color: #b3b2b2;
    text-decoration: line-through;
}
.whistlist-icon i{
    font-size: 20px;
    padding-right: 10px;
}
.whistlist-icon i .btn{
line-height: 0;
}
button{
    background-color: white;
}

.mywhistlist-head.row{
    padding:0;
}
.mywhistlist-head ul{
    list-style-type: none;
    width:100%;
    // padding:15px;
    border-bottom : 1px solid rgb(233, 232, 232);
    background-color: #e0e0e0;
}
.mywhistlist-head li{
    padding-right: 10%;
    display : inline;
}

.whistlist-list-name{
    width:100%;
    word-wrap: break-word;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
}
.quantity {
    float: left;
    margin-right: 15px;
    background-color: #eee;
    position: relative;
    width: 80px;
    overflow: hidden
}

.quantity input {
    margin: 0;
    text-align: center;
    width: 15px;
    height: 15px;
    padding: 0;
    float: right;
    color: #000;
    font-size: 20px;
    border: 0;
    outline: 0;
    background-color: #F6F6F6
}

.quantity input.qty {
    position: relative;
    border: 0;
    width: 100%;
    height: 40px;
    padding: 10px 25px 10px 10px;
    text-align: center;
    font-weight: 400;
    font-size: 15px;
    border-radius: 0;
    background-clip: padding-box
}

.quantity .minus, .quantity .plus {
    line-height: 0;
    background-clip: padding-box;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    -webkit-background-size: 6px 30px;
    -moz-background-size: 6px 30px;
    color: #bbb;
    font-size: 20px;
    position: absolute;
    height: 50%;
    border: 0;
    right: 0;
    padding: 0;
    width: 25px;
    z-index: 3
}

.quantity .minus:hover, .quantity .plus:hover {
    background-color: #dad8da
}

.quantity .minus {
    bottom: 0
}
.shopping-cart {
    margin-top: 0px;
}
.card-header ul{
    display : inline;
}
.mywhistlist-head{
    list-style-type: none;
    width:100%;
    padding:10px;
    border-bottom : 1px solid rgb(233, 232, 232);
    background-color: #f5f5f5;
    margin-bottom: 0;
}
.mywhistlist-head li{
    padding-right: 10%;
    display : inline;
}

.wishlist-wrap {
    padding: 15px 0 0 0;
}

  .blocTech {
    display: table-header-group;
    background-color: $quaternary;
    border-bottom: 1px solid #adadad;

  }
  .tech-cell {
    display: table-cell;
    text-align: justify;
    padding: 10px;
    border: 2px solid $quaternary;
    // text-align:center;
  }
  .blocCat {
    display: table-row-group;
    background-color: rgb(255, 255, 255);text-align: center;
  }
  .tech-row {
    display: table-row;
    border: 2px solid rgb(204, 203, 203);
  }

  .tech-RowTitle {
   display: table-cell;
    text-align: justify;
    padding: 10px;
    // border: 2px solid red;
    text-align:center;
  }

  .tech-value {
    display: table-cell;
    text-align: left;
    padding: 10px;
    background-color: $secondary-color;
    width:4%;
    border-bottom: 1px solid $quaternary;
  }
  .wishlist-cursor {
   cursor: pointer;
  }
  .tech-row {
    display: table-row;
    border: 2px solid green;
  }
  .wishlist-btn{
      background-color: white;
      text-align: center;
      margin-bottom: 10%;
      margin-left: 260%;
}
.whislist-product-price span{
    font-size: 12px;
}
  @include for-size(phone-only) {
    .wrapTableTech{
        width: 100%;
        overflow-x: scroll;
    }
  }
@include for-size(tablet-portrait-up) {
    .wrapTableTech{
        width: 100%;
        overflow-x: scroll;
    }

}
@include for-size(tablet-landscape-up) {

}
.nodata-found-wrap {
    text-align: center
}
.nodata-found img{
    text-align: center;
    margin-top: 3vh;
}

.common-image-preview {
    padding: 20px 0;
}



.common-browseFile input {
    position: absolute;
    outline: none;
}

.common-browse_btn_con input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    text-align: right;
    opacity: 0;
    cursor: pointer;
    display: block;
    height: 5.5vh !important;
    line-height: 5.5vh;
    width: 208% !important;
    border: none !important;
    z-index: 2;
}

.common-browse_btn_con {
    position: relative;
    display: inline-block;
    top: 1px;
    cursor: pointer;
    overflow: hidden;
}

.common-browse_btn_con,
.common-browse_btn {
    line-height: 5.5vh;
    // margin-top: 1vh;
    padding-bottom: 1vh;
}

.common-browse_btn {
    background: #0471ba;
    color: #ffffff;
    font-size: 2.178vmin;
}
.text-danger {
  position: relative;
  font-family: $font-stack;
  font-size: 16px;
  color: #f00;
  margin-left:5px;
}
.orderComplaint textarea.mat-input-element{
  padding: 0;
  margin: -10px 0;
}
// :host ::ng-deep .mat-select-placeholder{
//   @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
//   display: none;
//   }
// }
.add-btn {
    position: relative; 
  }
  .no-data-txt {
    position: relative;
  }

 
  :host ::ng-deep .mat-select-arrow-wrapper {
    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
      display: inline-block !important;
  }
}
.other-reason-icon{
    display: flex;
    align-items: center;
    cursor: pointer;
    i {
        font-size: 20px;
        color: #7b7b7b;
        padding-left: 5px;
    }
}
